#include <bits/stdc++.h>
using namespace std;

int main()
{
    int n, a;

    scanf("%d%d", &n, &a);

    if(n >= 3 * a)
    {
        int f = n - 2 * a;
        printf("%d %d \n", f / 2 + 1, f / 2 - 1);
        if(f % 2 == 0)
        {
            printf("%d 0 \n", a);
            printf("%d 0 \n", a);
        }
        else
        {
            printf("%d 1 \n", a);
            printf("%d 0 \n", a);
        }
    }

    else printf("-1");

    return 0;
}